Linux/未整理


Premature end of script headers

ちょう~久々に、CGIなんぞを動かそうと思ったら以下のエラーが出た。


Premature end of  script headers~



ん~、このエラーなんだっけ?
サーバーの管理をやっていた頃は、この程度ならスグに対処できたのに、人間、忘れるのは早いものだ…。
で、ちょっと読書してみたところ、改行コードの問題らしい。

あっ!!、昔はFTPでファイルをアップしてたけど、今は、sambaで共有フォルダを作って、そこへコピーしてたんだっけ。
当然、WindowsでエディトしたファイルはCR+LFであり、LinuxはLF…

秀丸エディタで、名前を付けて保存(改行コードはLF指定)しなおして、無事解決。

まったく、つまらないエラーを出してしまったもんだ。
お疲れなのよね…

最終更新のRSS
Last-modified: 2010-03-26 (金) 14:36:00 3341日前
HTML convert time: 0.010 sec.